            #GIT_CMT=916a03aa85be52730af296774630ba550a7e2624
# Copyright (c) 2022 Oracle and/or its affiliates.
#
# This work is licensed under the terms of the GNU GPL, version 2.
# See the LICENSE.txt file in the top-level directory.
#
# SPDX-License-Identifier: GPL-2.0
#
# Oracle Linux seccomp_ctl kernel module for OCI live update

Summary: Oracle Linux seccomp_ctl kernel module for OCI live update.
Name: kmod-seccomp_ctl
Version: 1.0.1
Release:    4.oci.el7
License: GPLv2
%define KVER5 4.14.35-2047.503.1%{dist}uek
%define KVER6 5.4.17-2102.201.3%{dist}uek
%ifarch x86_64
BuildRequires: kernel-uek-devel == %{KVER5}
%endif
BuildRequires: kernel-uek-devel == %{KVER6}
Requires: kmod >= kmod-20-28.0.0
%ifarch aarch64
BuildRequires: devtoolset-6-gcc devtoolset-6-runtime devtoolset-6-binutils
%endif
Group: Unspecified
Vendor: Oracle America
ExclusiveOS: Linux
Source0: kmod-seccomp_ctl-1.0.1.tar.bz2
%define modsign_cmd ./mod-sign.sh
%define modname seccomp_ctl
%define debug_package %{nil}

%description
Oracle Linux seccomp_ctl kernel module for OCI live update

%files
%defattr(-,root,root)
%{_docdir}/%{name}/LICENSE.txt
%ifarch x86_64
/lib/modules/%{KVER5}.%{_arch}/extra/oracle/%{name}
/lib/modules/%{KVER5}.%{_arch}/extra/oracle/%{name}/%{modname}.ko
%endif
/lib/modules/%{KVER6}.%{_arch}/extra/oracle/%{name}
/lib/modules/%{KVER6}.%{_arch}/extra/oracle/%{name}/%{modname}.ko

%prep
%setup %{name}-%{version}

%build
%define DIR dir%{dist}

%define modmake() \
    make KERNELDIR=/usr/src/kernels/%{1}.%{_arch} modules \
    mkdir -p %{DIR}/%2 \
    mv %{modname}.ko %{DIR}/%2

%ifarch aarch64
source /opt/rh/devtoolset-6/enable
%endif

%ifarch x86_64
%modmake %KVER5 uek5
%modsign_cmd %DIR/uek5
%endif

%modmake %KVER6 uek6
%modsign_cmd %DIR/uek6

%install
%ifarch x86_64
%{__install} -D -m644 \
    %{DIR}/uek5/%{modname}.ko \
    %{buildroot}/lib/modules/%{KVER5}.%{_arch}/extra/oracle/%{name}/%{modname}.ko
%endif

%{__install} -D -m644 \
    %{DIR}/uek6/%{modname}.ko \
    %{buildroot}/lib/modules/%{KVER6}.%{_arch}/extra/oracle/%{name}/%{modname}.ko

mkdir -p %{buildroot}%{_docdir}/%{name}
install -D -p -m 0644 -t %{buildroot}%{_docdir}/%{name} LICENSE.txt

%post
modprobe -r seccomp_ctl 2> /dev/null
weak-modules --add-kernel `uname -r` --no-initramfs
modprobe seccomp_ctl

%postun
if [[ "$1" == 0 ]]; then
    weak-modules --add-kernel `uname -r` --no-initramfs
    modprobe -r seccomp_ctl
fi

%changelog
* Fri Mar 11 2022 Steve Sistare <steven.sistare@oracle.com> - 1.0.1-4.oci.el7
- trivial commit

* Fri Jan 14 2022 Steve Sistare <steven.sistare@oracle.com> - 1.0.1-3.oci.el7
- trivial commit

* Fri Jan 14 2022 Steve Sistare <steven.sistare@oracle.com> - 1.0.1-2.oci.el7
- trivial commit

* Wed Dec 15 2021 Steve Sistare <steven.sistare@oracle.com> - 1.0.1-1.oci.el7
- trivial commit

* Wed Dec 15 2021 Steve Sistare <steven.sistare@oracle.com> - 1.0.1-1
- Initial package.

